Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.messaging.integration
Class IntegrationAdapter

    java.lang.Object
      flex.management.ManageableComponent
          flex.messaging.services.ServiceAdapter
              flex.messaging.services.messaging.adapters.MessagingAdapter
                  org.springframework.flex.messaging.integration.IntegrationAdapter

All Implemented Interfaces:
  Manageable, FlexComponent, FlexConfigurable, MessagingSecurity, BeanNameAware, InitializingBean, ApplicationEventPublisherAware, org.springframework.integration.core.MessageHandler

    public class IntegrationAdapter

extends MessagingAdapter
implements org.springframework.integration.core.MessageHandler, InitializingBean, BeanNameAware, ApplicationEventPublisherAware

A `MessagingAdapter` implementation that enables sending and receiving messages via Spring Integration Message Channels.

Author:
  Mark Fisher

Field Summary

Fields inherited from class flex.messaging.services.ServiceAdapter
`LOG_CATEGORY`

Fields inherited from class flex.management.ManageableComponent
`control, id, managed, NULL_COMPONENT_PROPERTY, parent, PROPERTY_CHANGE_AFTER_STARTUP, started, valid`

Constructor Summary
`IntegrationAdapter()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `handleMessage(org.springframework.integration.Message<?> message)` Invoked when a Message is received from the Spring Integration channel.
`boolean` | `handlesSubscriptions()`
`Object` | `invoke(Message flexMessage)` Invoked when a Message is received from a Flex client.
`Object` | `manage(CommandMessage commandMessage)`
`void` | `setApplicationEventPublisher(ApplicationEventPublisher applicationEventPublisher)`
`void` | `setBeanName(String beanName)`
`void` | `setExtractPayload(boolean extractPayload)` Specify whether the Flex Message body should be extracted to be used as the payload of a Spring Integration Message.
`void` | `setMessageChannel(org.springframework.integration.MessageChannel messageChannel)` Sets the Spring Integration `MessageChannel` for sending and receiving messages
`void` | `start()`

Methods inherited from class flex.messaging.services.messaging.adapters.MessagingAdapter
`allowSend, allowSubscribe, getSecurityConstraintManager, initialize, setSecurityConstraintManager, validate`

Methods inherited from class flex.messaging.services.ServiceAdapter
`getAdapterState, getDestination, getLogCategory, setAdapterState, setDestination, setupAdapterControl, stop`

Methods inherited from class flex.management.ManageableComponent
`blockAssignmentWhileStarted, blockNullAssignment, getControl, getId, getParent, invalidate, isManaged, isStarted, isValid, setControl, setId, setManaged, setParent, setStarted, setValid`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegrationAdapter

    public IntegrationAdapter()

Method Detail

### setExtractPayload

    public void setExtractPayload(boolean extractPayload)

  Specify whether the Flex Message body should be extracted to be used as the payload of a Spring Integration Message. If this is set to `false`, the entire Flex Message will be sent as the payload. The default is `true`.

### afterPropertiesSet

    public void afterPropertiesSet()

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`

### handleMessage

    public void handleMessage(org.springframework.integration.Message<?> message)

  Invoked when a Message is received from the Spring Integration channel.

  Specified by:
    `handleMessage` in interface `org.springframework.integration.core.MessageHandler`

### handlesSubscriptions

    public boolean handlesSubscriptions()

  Overrides:
    `handlesSubscriptions` in class `ServiceAdapter`

### invoke

    public Object invoke(Message flexMessage)

  Invoked when a Message is received from a Flex client.

  Specified by:
    `invoke` in class `ServiceAdapter`

### manage

    public Object manage(CommandMessage commandMessage)

  Overrides:
    `manage` in class `ServiceAdapter`

### setBeanName

    public void setBeanName(String beanName)

  Specified by:
    `setBeanName` in interface `BeanNameAware`

### setMessageChannel

    public void setMessageChannel(org.springframework.integration.MessageChannel messageChannel)

  Sets the Spring Integration `MessageChannel` for sending and receiving messages

  Parameters:
    `messageChannel` - the message channel

### start

    public void start()

  Specified by:
    `start` in interface `FlexComponent`
  Overrides:
    `start` in class `ServiceAdapter`

### setApplicationEventPublisher

    public void setApplicationEventPublisher(ApplicationEventPublisher applicationEventPublisher)

  Specified by:
    `setApplicationEventPublisher` in interface `ApplicationEventPublisherAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.